Skip to main content
GET
/
api
/
user
/
{id}
Retrieves a single user by their identifier (non-admins can only retrieve their own record).
curl --request GET \
  --url https://{tenant}.ekso.app/api/user/{id} \
  --header 'Authorization: Bearer <token>'
{
  "entity": "<string>",
  "name": "<string>",
  "initials": "<string>",
  "email": "<string>",
  "locale": "<string>",
  "timezone": "<string>",
  "darkMode": "<string>",
  "costCenter": "<string>",
  "jobRole": "<string>",
  "workingHours": "<string>",
  "notifications": true,
  "superAdmin": true,
  "active": true,
  "locked": "2023-11-07T05:31:56Z",
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

id
string
required

The unique identifier of the user.

Response

The user.

entity
null | string
name
string
initials
string
email
string
locale
string
timezone
string
darkMode
string
costCenter
string
jobRole
string
workingHours
string
notifications
boolean
superAdmin
boolean
active
boolean
locked
null | string<date-time>
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean